OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000132OMNeT++IDE / INI editorpublic2010-01-22 11:122011-02-22 23:52
Reporterandras 
Assigned Totomi 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version4.2b1 
Summary0000132: Option to disable automatic validation in the ini file editor
DescriptionIf the number of the configurable parameters in INI file are too large, the ini editor works very slowly. It is probably related to the INI error check feature.

If so, could the INI error check/hint feature be turn on/off in IDE by user? When turned off, there should be a "Check Now" menu item available.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000338)
tjroamer (reporter)
2010-10-21 10:39

I think this feature is very helpful to enable the further effective use of the IDE. I have a topology of 100 nodes. It is hardly possible to open the INI file, even if I waited a long time and opened it, the INI parser hinders me to type anything in the INI file. So I don't use the IDE to edit INI any more, but an external plain editor. However, occasionally, if I clicked that INI file, I had to restart the OMNEST, which is really annoying.
(0000394)
andras (administrator)
2011-02-22 23:52

Implemented. Please check if it's OK!

There are still some performance problems associated with NED related Views (Module Hierarchy, Module Parameters), better close them and re-start the IDE if you experience performance problems. These will be fixed in another cycle.

- Issue History
Date Modified Username Field Change
2010-01-22 11:12 andras New Issue
2010-10-21 10:39 tjroamer Note Added: 0000338
2010-12-06 10:27 tomi Assigned To => tomi
2011-02-22 23:52 andras Note Added: 0000394
2011-02-22 23:52 andras Status new => resolved
2011-02-22 23:52 andras Fixed in Version => 4.2b1
2011-02-22 23:52 andras Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker